Package org.eclipse.cdt.utils.coff.parser

## Class CygwinPEBinaryObject

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.BinaryObjectAdapter
      - - org.eclipse.cdt.utils.coff.parser.PEBinaryObject
        - - org.eclipse.cdt.utils.coff.parser.CygwinPEBinaryObject

All Implemented Interfaces:
  `IBinaryParser.IBinaryFile`, `IBinaryParser.IBinaryObject`, `org.eclipse.core.runtime.IAdaptable`

Direct Known Subclasses:
  `CygwinPEBinaryExecutable`, `CygwinPEBinaryShared`

    @Deprecated
    public class CygwinPEBinaryObject
    extends PEBinaryObject

Deprecated.
Deprecated as of CDT 6.9. Use 64 bit version `CygwinPEBinaryObject64`. This class is planned for removal in next major release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

### Field Summary

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
`CygwinPEBinaryObject​(IBinaryParser parser, org.eclipse.core.runtime.IPath path, int type)` Deprecated.
`CygwinPEBinaryObject​(IBinaryParser parser, org.eclipse.core.runtime.IPath path, AR.ARHeader header)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `addSymbols​(Coff.Symbol[] peSyms, byte[] table, List<Symbol> list)` Deprecated.
`<T> T` `getAdapter​(Class<T> adapter)` Deprecated.
`Addr2line` `getAddr2line​(boolean autodisposing)` Deprecated.
`InputStream` `getContents()` Deprecated.
`protected CPPFilt` `getCPPFilt()` Deprecated.
`protected CygPath` `getCygPath()` Deprecated.
`protected NM` `getNM()` Deprecated.
`protected Objdump` `getObjdump()` Deprecated.
`protected void` `loadSymbols​(PE pe)` Deprecated.

### Methods inherited from class org.eclipse.cdt.utils.coff.parser.PEBinaryObject

`getAddressFactory, getBinaryObjectInfo, getName, getPE, getSymbols, loadAll, loadInfo, loadInfo, loadSymbols`

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`getBSS, getCPU, getData, getNeededSharedLibs, getSoName, getSymbol, getText, hasDebug, isLittleEndian, toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType, hasChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getPath, getType`

### Constructor Detail

#### CygwinPEBinaryObject

    public CygwinPEBinaryObject​(IBinaryParser parser,
                                org.eclipse.core.runtime.IPath path,
                                AR.ARHeader header)

Deprecated.

Parameters:
  `parser` -
  `path` -
  `header` -

#### CygwinPEBinaryObject

    public CygwinPEBinaryObject​(IBinaryParser parser,
                                org.eclipse.core.runtime.IPath path,
                                int type)

Deprecated.

### Method Detail

#### getAddr2line

    public Addr2line getAddr2line​(boolean autodisposing)

Deprecated.

#### getCPPFilt

    protected CPPFilt getCPPFilt()

Deprecated.

#### getObjdump

    protected Objdump getObjdump()

Deprecated.

#### getCygPath

    protected CygPath getCygPath()

Deprecated.

#### getNM

    protected NM getNM()

Deprecated.

#### getContents

    public InputStream getContents()
                            throws IOException

Deprecated.

Specified by:
  `getContents` in interface `IBinaryParser.IBinaryFile`
Overrides:
  `getContents` in class `PEBinaryObject`
Returns:
  the binary contents.
Throws:
  `IOException`
See Also:
  `IBinaryParser.IBinaryFile.getContents()`

#### loadSymbols

    protected void loadSymbols​(PE pe)
                        throws IOException

Deprecated.

Overrides:
  `loadSymbols` in class `PEBinaryObject`
Throws:
  `IOException`

#### addSymbols

    protected void addSymbols​(Coff.Symbol[] peSyms,
                              byte[] table,
                              List<Symbol> list)

Deprecated.

Overrides:
  `addSymbols` in class `PEBinaryObject`

#### getAdapter

    public <T> T getAdapter​(Class<T> adapter)

Deprecated.

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `PEBinaryObject`